{
  modulesPath,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/sd-card/sd-image.nix")
  ];

  config = {
    isoImage.makeEfiBootable = true;
    isoImage.makeUsbBootable = true;

    boot.loader.grub.enable = false;
    boot.loader.generic-extlinux-compatible.enable = true;

    # TODO: image based appliance?

    # TODO: Maybe this?
    # fileSystems = {
    #   "/" = {
    #     device = "/dev/disk/by-label/NIXOS_SD";
    #     fsType = "ext4";
    #     options = [
    #       "noatime"
    #       "norelatime"
    #     ];
    #   };
    # };
  };
}
